view.animation

## Class JJAnimationTranslation

- java.lang.Object
- - view.animation.JJAnimation
  - - view.animation.JJAnimationTranslation

    public class JJAnimationTranslation
    extends JJAnimation

The Class JJAnimationTranslation.

### Constructor Summary

Constructors
Constructor and Description
`JJAnimationTranslation(int pas, JJComponent compo, double dx, double dy, boolean vieLimite)` Instantiates a new JJ animation translation.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `animer()` Animer.

### Methods inherited from class view.animation.JJAnimation

`decalerPas, getPas, isVieLimite, setPas, setVieLimite`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJAnimationTranslation

    public JJAnimationTranslation(int pas,
                                  JJComponent compo,
                                  double dx,
                                  double dy,
                                  boolean vieLimite)

Instantiates a new JJ animation translation.

Parameters:
  `pas` - the pas
  `compo` - the compo
  `dx` - the dx
  `dy` - the dy
  `vieLimite` - the vie limite

### Method Detail

#### animer

    public boolean animer()

Description copied from class: `JJAnimation`
Animer.

Overrides:
  `animer` in class `JJAnimation`
Returns:
  true, if successful